from .cbddump import dumpCBD
from .cbdrun import runCBD
from .cbdnew import *

__all__ = [ 'taskTypeList', 'taskTitle', 'blankTask', 'createTask', 'taskDumper', 'taskRunner' ]

taskTypeList = [
	[ 'cbd', 'eval', 'Evaluation across corners' ], 
	[ 'cbd', 'local', 'Local design across corners (using QPMADS)' ],
	[ 'cbd', 'global', 'Global design across corners (using PSADE)' ], 
]

taskTitle = {
	'cbd': 'Design/evaluation across corners',
}

blankTask = {
	'cbd': blankCBDTask, 
}

createTask = {
	'cbd': newCBDTask, 
}

taskDumper = {
	'cbd': dumpCBD, 
}

taskRunner = {
	'cbd': runCBD, 
}
